import java.awt.Color;
import java.awt.Font;
import java.awt.GradientPaint;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.KeyEvent;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

//cette classe est l'affichage dans l'inventaire d'un objet

public class ImageObjet {
	
	BufferedImage image ; 
	int largeur = 100;
	int hauteur = 100;
	Objet objet ;
	//ce boolean est true si le curseur est sur l'image
	boolean active  ;
	FenetreInventaire fenetre_INVENTAIRE ;
	//le numero de panneau permet de savoir quand il faut dessiner l'image
	int numero_panneau;

	public ImageObjet (int numero_panneau,Objet objet, boolean active,FenetreInventaire fi) {
		
		image = ImageLoader.scale(objet.image,largeur,hauteur);
		this.objet=objet;
		this.active=active;
		fenetre_INVENTAIRE=fi;
		this.numero_panneau=numero_panneau;
	}
	
	public void dessine(Graphics g, JPanel jp,int x,int y){
		
		//les 5 if à la suite qui corresponde aux 5 panneaux et sont contiennent la même chose
		//cette partie n'est pas beaucoup optimisé mais c'était la seule solution à un problème rencontré
		
		if(numero_panneau==1){
			
			if(fenetre_INVENTAIRE.afficher_liste_nourriture){
			
				g.setColor(new Color(30,30,30,127));
				g.fillRoundRect(x,y,largeur,hauteur,10,10);
				g.setColor(new Color(100,100,100,127));
				g.drawRoundRect(x+5,y+5,largeur-10,hauteur-10,10,10);
				g.drawRoundRect(x+4,y+4,largeur-8,hauteur-8,10,10);
				
				g.drawImage(image,x,y,jp);
				
				if(objet.exister==false){
					g.setColor(new Color(30,30,30,200));
					g.fillRoundRect(x,y,largeur,hauteur,10,10);
				}
				
				if(active){
					Graphics2D g2d = (Graphics2D)g;         
					GradientPaint gp = new GradientPaint(0, 0,  new Color(100,100,100,127), 1000, 0,new Color(30,30,30,127), true);                
					g2d.setPaint(gp);
					g2d.fillRoundRect(1100,540,720,220,20,20);
					
					g.setColor( new Color(100,100,100,127));
					g.drawRoundRect(1105,545,710,210,20,20);
					g.drawRoundRect(1104,544,712,212,20,20);
					
					g.setFont(new Font("Tahoma", Font.ITALIC, 30));
					g.setColor(new Color(200,200,200,240));
					
					if(!objet.exister){
						g.drawString(this.objet.description,1130,610);
						int compteur = 0 ;
						if(this.objet.bois!=0){
							g.drawString("bois necessaire: "+this.objet.bois+"  bois en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierre!=0){
							g.drawString("pierre necessaire: "+this.objet.pierre+"  pierre en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.fer!=0){
							g.drawString("fer necessaire: "+this.objet.fer+"  fer en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.emeraude!=0){
							g.drawString("emeraude necessaire: "+this.objet.emeraude+"  emeraude en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.lin!=0){
							g.drawString("lin necessaire: "+this.objet.lin+"  lin en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.paille!=0){
							g.drawString("paille necessaire: "+this.objet.paille+"  paille en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.diamant!=0){
							g.drawString("diamant necessaire: "+this.objet.diamant+"  diamant en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.peau!=0){
							g.drawString("peau necessaire: "+this.objet.peau+"  peau en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierretalissement!=0){
							g.drawString("pierre talisman necessaire: "+this.objet.pierretalissement+"  pierre talisman en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre,1130,650+40*compteur);
							compteur++;
						}
					}else if(objet.exister){
						g.drawString(this.objet.description,1130,610);
						g.drawString("degat supplementaire : +"+objet.degat_supp,1130,650);
						g.drawString("degat bois supplementaire : +"+objet.degat_arbre_supp,1130,690);
						g.drawString("degat mine supplementaire : +"+objet.degat_mine_supp,1130,730);
						g.drawString("resistance supplementaire : +"+objet.resistance_supp,1130,610);
					}
					
					
					if(objet.exister==false && fenetre_INVENTAIRE.jeu.clavier.enter && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre>=objet.bois && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre>=objet.pierre && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre>=objet.fer && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre>=objet.emeraude && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre>=objet.lin && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre>=objet.paille && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre>=objet.diamant && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre>=objet.peau && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre>=objet.pierretalissement){
					
						objet.exister=true;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre-=objet.bois;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre-=objet.pierre;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre-=objet.fer;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre-=objet.emeraude;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre-=objet.lin;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre-=objet.paille;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre-=objet.diamant;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre-=objet.peau;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre-=objet.pierretalissement;
						
						
					}
					
					if(objet.exister){
						if(objet.categorie=="arme"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.arme_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.arme_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="armure"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.armure_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.armure_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="casque"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.casque_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.casque_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}else if(objet.categorie=="bouclier"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.bouclier_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.bouclier_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}
					}
					
				}	
			
			}
			
		}	
		
		
		if(numero_panneau==2){
			
			if(fenetre_INVENTAIRE.afficher_liste_ressources){
			
				g.setColor(new Color(30,30,30,127));
				g.fillRoundRect(x,y,largeur,hauteur,10,10);
				g.setColor(new Color(100,100,100,127));
				g.drawRoundRect(x+5,y+5,largeur-10,hauteur-10,10,10);
				g.drawRoundRect(x+4,y+4,largeur-8,hauteur-8,10,10);
				
				g.drawImage(image,x,y,jp);
				
				if(objet.exister==false){
					g.setColor(new Color(30,30,30,200));
					g.fillRoundRect(x,y,largeur,hauteur,10,10);
				}
				
				if(active){
					Graphics2D g2d = (Graphics2D)g;         
					GradientPaint gp = new GradientPaint(0, 0,  new Color(100,100,100,127), 1000, 0,new Color(30,30,30,127), true);                
					g2d.setPaint(gp);
					g2d.fillRoundRect(1100,540,720,220,20,20);
					
					g.setColor( new Color(100,100,100,127));
					g.drawRoundRect(1105,545,710,210,20,20);
					g.drawRoundRect(1104,544,712,212,20,20);
					
					g.setFont(new Font("Tahoma", Font.ITALIC, 30));
					g.setColor(new Color(200,200,200,240));
					
					if(!objet.exister){
						g.drawString(this.objet.description,1130,610);
						int compteur = 0 ;
						if(this.objet.bois!=0){
							g.drawString("bois necessaire: "+this.objet.bois+"  bois en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierre!=0){
							g.drawString("pierre necessaire: "+this.objet.pierre+"  pierre en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.fer!=0){
							g.drawString("fer necessaire: "+this.objet.fer+"  fer en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.emeraude!=0){
							g.drawString("emeraude necessaire: "+this.objet.emeraude+"  emeraude en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.lin!=0){
							g.drawString("lin necessaire: "+this.objet.lin+"  lin en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.paille!=0){
							g.drawString("paille necessaire: "+this.objet.paille+"  paille en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.diamant!=0){
							g.drawString("diamant necessaire: "+this.objet.diamant+"  diamant en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.peau!=0){
							g.drawString("peau necessaire: "+this.objet.peau+"  peau en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierretalissement!=0){
							g.drawString("pierre talisman necessaire: "+this.objet.pierretalissement+"  pierre talisman en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre,1130,650+40*compteur);
							compteur++;
						}
					}else if(objet.exister){
						g.drawString(this.objet.description,1130,610);
						g.drawString("degat supplementaire : +"+objet.degat_supp,1130,650);
						g.drawString("degat bois supplementaire : +"+objet.degat_arbre_supp,1130,690);
						g.drawString("degat mine supplementaire : +"+objet.degat_mine_supp,1130,730);
						g.drawString("resistance supplementaire : +"+objet.resistance_supp,1130,770);
					}
					
					
					if(objet.exister==false && fenetre_INVENTAIRE.jeu.clavier.enter && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre>=objet.bois && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre>=objet.pierre && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre>=objet.fer && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre>=objet.emeraude && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre>=objet.lin && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre>=objet.paille && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre>=objet.diamant && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre>=objet.peau && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre>=objet.pierretalissement){
					
						objet.exister=true;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre-=objet.bois;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre-=objet.pierre;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre-=objet.fer;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre-=objet.emeraude;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre-=objet.lin;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre-=objet.paille;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre-=objet.diamant;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre-=objet.peau;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre-=objet.pierretalissement;
						
						
					}
					
					if(objet.exister){
						if(objet.categorie=="arme"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.arme_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.arme_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="armure"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.armure_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.armure_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="casque"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.casque_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.casque_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}else if(objet.categorie=="bouclier"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.bouclier_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.bouclier_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}
					}
					
				}	
			
			}
			
		}
		
		
		if(numero_panneau==3){
			
			if(fenetre_INVENTAIRE.afficher_liste_armes){
			
				g.setColor(new Color(30,30,30,127));
				g.fillRoundRect(x,y,largeur,hauteur,10,10);
				g.setColor(new Color(100,100,100,127));
				g.drawRoundRect(x+5,y+5,largeur-10,hauteur-10,10,10);
				g.drawRoundRect(x+4,y+4,largeur-8,hauteur-8,10,10);
				
				g.drawImage(image,x,y,jp);
				
				if(objet.exister==false){
					g.setColor(new Color(30,30,30,200));
					g.fillRoundRect(x,y,largeur,hauteur,10,10);
				}
				
				if(active){
					Graphics2D g2d = (Graphics2D)g;         
					GradientPaint gp = new GradientPaint(0, 0,  new Color(100,100,100,127), 1000, 0,new Color(30,30,30,127), true);                
					g2d.setPaint(gp);
					g2d.fillRoundRect(1100,540,720,220,20,20);
					
					g.setColor( new Color(100,100,100,127));
					g.drawRoundRect(1105,545,710,210,20,20);
					g.drawRoundRect(1104,544,712,212,20,20);
					
					g.setFont(new Font("Tahoma", Font.ITALIC, 30));
					g.setColor(new Color(200,200,200,240));
					
					if(!objet.exister){
						g.drawString(this.objet.description,1130,610);
						int compteur = 0 ;
						if(this.objet.bois!=0){
							g.drawString("bois necessaire: "+this.objet.bois+"  bois en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierre!=0){
							g.drawString("pierre necessaire: "+this.objet.pierre+"  pierre en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.fer!=0){
							g.drawString("fer necessaire: "+this.objet.fer+"  fer en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.emeraude!=0){
							g.drawString("emeraude necessaire: "+this.objet.emeraude+"  emeraude en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.lin!=0){
							g.drawString("lin necessaire: "+this.objet.lin+"  lin en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.paille!=0){
							g.drawString("paille necessaire: "+this.objet.paille+"  paille en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.diamant!=0){
							g.drawString("diamant necessaire: "+this.objet.diamant+"  diamant en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.peau!=0){
							g.drawString("peau necessaire: "+this.objet.peau+"  peau en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierretalissement!=0){
							g.drawString("pierre talisman necessaire: "+this.objet.pierretalissement+"  pierre talisman en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre,1130,650+40*compteur);
							compteur++;
						}
					}else if(objet.exister){
						g.drawString(this.objet.description,1130,610);
						g.drawString("degat supplementaire : +"+objet.degat_supp,1130,650);
						g.drawString("degat bois supplementaire : +"+objet.degat_arbre_supp,1130,690);
						g.drawString("degat mine supplementaire : +"+objet.degat_mine_supp,1130,730);
						g.drawString("resistance supplementaire : +"+objet.resistance_supp,1130,770);
					}
					
					
					if(objet.exister==false && fenetre_INVENTAIRE.jeu.clavier.enter && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre>=objet.bois && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre>=objet.pierre && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre>=objet.fer && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre>=objet.emeraude && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre>=objet.lin && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre>=objet.paille && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre>=objet.diamant && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre>=objet.peau && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre>=objet.pierretalissement){
					
						objet.exister=true;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre-=objet.bois;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre-=objet.pierre;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre-=objet.fer;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre-=objet.emeraude;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre-=objet.lin;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre-=objet.paille;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre-=objet.diamant;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre-=objet.peau;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre-=objet.pierretalissement;
						
						
					}
					
					if(objet.exister){
						if(objet.categorie=="arme"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.arme_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.arme_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="armure"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.armure_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.armure_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="casque"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.casque_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.casque_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}else if(objet.categorie=="bouclier"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.bouclier_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.bouclier_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}
					}
					
				}	
			
			}
			
		}
		
		
		if(numero_panneau==4){
			
			if(fenetre_INVENTAIRE.afficher_liste_equipements){
			
				g.setColor(new Color(30,30,30,127));
				g.fillRoundRect(x,y,largeur,hauteur,10,10);
				g.setColor(new Color(100,100,100,127));
				g.drawRoundRect(x+5,y+5,largeur-10,hauteur-10,10,10);
				g.drawRoundRect(x+4,y+4,largeur-8,hauteur-8,10,10);
				
				g.drawImage(image,x,y,jp);
				
				if(objet.exister==false){
					g.setColor(new Color(30,30,30,200));
					g.fillRoundRect(x,y,largeur,hauteur,10,10);
				}
				
				if(active){
					Graphics2D g2d = (Graphics2D)g;         
					GradientPaint gp = new GradientPaint(0, 0,  new Color(100,100,100,127), 1000, 0,new Color(30,30,30,127), true);                
					g2d.setPaint(gp);
					g2d.fillRoundRect(1100,540,720,220,20,20);
					
					g.setColor( new Color(100,100,100,127));
					g.drawRoundRect(1105,545,710,210,20,20);
					g.drawRoundRect(1104,544,712,212,20,20);
					
					g.setFont(new Font("Tahoma", Font.ITALIC, 30));
					g.setColor(new Color(200,200,200,240));
					
					if(!objet.exister){
						g.drawString(this.objet.description,1130,610);
						int compteur = 0 ;
						if(this.objet.bois!=0){
							g.drawString("bois necessaire: "+this.objet.bois+"  bois en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierre!=0){
							g.drawString("pierre necessaire: "+this.objet.pierre+"  pierre en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.fer!=0){
							g.drawString("fer necessaire: "+this.objet.fer+"  fer en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.emeraude!=0){
							g.drawString("emeraude necessaire: "+this.objet.emeraude+"  emeraude en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.lin!=0){
							g.drawString("lin necessaire: "+this.objet.lin+"  lin en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.paille!=0){
							g.drawString("paille necessaire: "+this.objet.paille+"  paille en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.diamant!=0){
							g.drawString("diamant necessaire: "+this.objet.diamant+"  diamant en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.peau!=0){
							g.drawString("peau necessaire: "+this.objet.peau+"  peau en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierretalissement!=0){
							g.drawString("pierre talisman necessaire: "+this.objet.pierretalissement+"  pierre talisman en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre,1130,650+40*compteur);
							compteur++;
						}
					}else if(objet.exister){
						g.drawString(this.objet.description,1130,610);
						g.drawString("degat supplementaire : +"+objet.degat_supp,1130,650);
						g.drawString("degat bois supplementaire : +"+objet.degat_arbre_supp,1130,690);
						g.drawString("degat mine supplementaire : +"+objet.degat_mine_supp,1130,730);
						g.drawString("resistance supplementaire : +"+objet.resistance_supp,1130,770);
					}
					
					
					if(objet.exister==false && fenetre_INVENTAIRE.jeu.clavier.enter && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre>=objet.bois && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre>=objet.pierre && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre>=objet.fer && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre>=objet.emeraude && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre>=objet.lin && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre>=objet.paille && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre>=objet.diamant && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre>=objet.peau && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre>=objet.pierretalissement){
					
						objet.exister=true;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre-=objet.bois;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre-=objet.pierre;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre-=objet.fer;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre-=objet.emeraude;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre-=objet.lin;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre-=objet.paille;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre-=objet.diamant;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre-=objet.peau;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre-=objet.pierretalissement;
						
						
					}
					
					if(objet.exister){
						if(objet.categorie=="arme"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.arme_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.arme_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="armure"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.armure_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.armure_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="casque"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.casque_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.casque_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}else if(objet.categorie=="bouclier"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.bouclier_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.bouclier_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}
					}
					
				}	
			
			}
			
		}
		
		
		if(numero_panneau==5){
			
			if(fenetre_INVENTAIRE.afficher_liste_objets){
			
				g.setColor(new Color(30,30,30,127));
				g.fillRoundRect(x,y,largeur,hauteur,10,10);
				g.setColor(new Color(100,100,100,127));
				g.drawRoundRect(x+5,y+5,largeur-10,hauteur-10,10,10);
				g.drawRoundRect(x+4,y+4,largeur-8,hauteur-8,10,10);
				
				g.drawImage(image,x,y,jp);
				
				if(objet.exister==false){
					g.setColor(new Color(30,30,30,200));
					g.fillRoundRect(x,y,largeur,hauteur,10,10);
				}
				
				if(active){
					Graphics2D g2d = (Graphics2D)g;         
					GradientPaint gp = new GradientPaint(0, 0,  new Color(100,100,100,127), 1000, 0,new Color(30,30,30,127), true);                
					g2d.setPaint(gp);
					g2d.fillRoundRect(1100,540,720,220,20,20);
					
					g.setColor( new Color(100,100,100,127));
					g.drawRoundRect(1105,545,710,210,20,20);
					g.drawRoundRect(1104,544,712,212,20,20);
					
					g.setFont(new Font("Tahoma", Font.ITALIC, 30));
					g.setColor(new Color(200,200,200,240));
					
					if(!objet.exister){
						g.drawString(this.objet.description,1130,610);
						int compteur = 0 ;
						if(this.objet.bois!=0){
							g.drawString("bois necessaire: "+this.objet.bois+"  bois en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierre!=0){
							g.drawString("pierre necessaire: "+this.objet.pierre+"  pierre en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.fer!=0){
							g.drawString("fer necessaire: "+this.objet.fer+"  fer en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.emeraude!=0){
							g.drawString("emeraude necessaire: "+this.objet.emeraude+"  emeraude en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.lin!=0){
							g.drawString("lin necessaire: "+this.objet.lin+"  lin en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.paille!=0){
							g.drawString("paille necessaire: "+this.objet.paille+"  paille en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.diamant!=0){
							g.drawString("diamant necessaire: "+this.objet.diamant+"  diamant en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.peau!=0){
							g.drawString("peau necessaire: "+this.objet.peau+"  peau en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre,1130,650+40*compteur);
							compteur++;
						}if(this.objet.pierretalissement!=0){
							g.drawString("pierre talisman necessaire: "+this.objet.pierretalissement+"  pierre talisman en stock: "+this.fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre,1130,650+40*compteur);
							compteur++;
						}
					}else if(objet.exister){
						g.drawString(this.objet.description,1130,610);
						g.drawString("degat supplementaire : +"+objet.degat_supp,1130,650);
						g.drawString("degat bois supplementaire : +"+objet.degat_arbre_supp,1130,690);
						g.drawString("degat mine supplementaire : +"+objet.degat_mine_supp,1130,730);
						g.drawString("resistance supplementaire : +"+objet.resistance_supp,1130,770);
					}
					
					
					if(objet.exister==false && fenetre_INVENTAIRE.jeu.clavier.enter && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre>=objet.bois && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre>=objet.pierre && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre>=objet.fer && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre>=objet.emeraude && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre>=objet.lin && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre>=objet.paille && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre>=objet.diamant && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre>=objet.peau && fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre>=objet.pierretalissement){
					
						objet.exister=true;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[0].nombre-=objet.bois;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[1].nombre-=objet.pierre;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[2].nombre-=objet.fer;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[3].nombre-=objet.emeraude;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[4].nombre-=objet.lin;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[5].nombre-=objet.paille;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[6].nombre-=objet.diamant;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[7].nombre-=objet.peau;
						fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.ressources_joueur[8].nombre-=objet.pierretalissement;
						
						
					}
					
					if(objet.exister){
						if(objet.categorie=="arme"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.arme_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.arme_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.arme_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="armure"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.armure_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.armure_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.armure_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}				
							}
						}else if(objet.categorie=="casque"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.casque_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.casque_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.casque_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}else if(objet.categorie=="bouclier"){
							if(fenetre_INVENTAIRE.jeu.clavier.keyToutJusteAppuie(KeyEvent.VK_E)){
								if(!objet.equipe && !fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=true;
									fenetre_INVENTAIRE.bouclier_equipe=true;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat+=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance+=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre+=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine+=objet.degat_mine_supp;
								}
								else if(objet.equipe && fenetre_INVENTAIRE.bouclier_equipe){
									objet.equipe=false;
									fenetre_INVENTAIRE.bouclier_equipe=false;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat-=objet.degat_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.resistance-=objet.resistance_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_arbre-=objet.degat_arbre_supp;
									fenetre_INVENTAIRE.jeu.fenetre_JEU.j1.degat_mine-=objet.degat_mine_supp;
								}
							}
						}
					}
					
				}	
			
			}
			
		}
		
			//peu importe le numero du panneau si l'objet est équipé alors il est afficher dans le cadre equipement
		
		if(objet.equipe){
			if(objet.categorie=="arme"){
				g.drawImage(image,1130,400,jp);
			}else if(objet.categorie=="armure"){
				g.drawImage(image,1130+120,400,jp);
			}else if(objet.categorie=="casque"){
				g.drawImage(image,1130+2*120,400,jp);
			}else if(objet.categorie=="bouclier"){
				g.drawImage(image,1130+3*120,400,jp);
			}
		}
		
	}

}
